Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 465697 - gnome-desktop-sharp 2.20.1 breaks gnome-do in rawhide and F10
Summary: gnome-desktop-sharp 2.20.1 breaks gnome-do in rawhide and F10
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop-sharp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-10-05 18:28 UTC by Sindre Pedersen Bjørdal
Modified: 2008-10-27 20:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-27 20:33:56 UTC


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2008-10-05 18:28:46 UTC
Description of problem:
gnome-do uses gnome-desktop-sharp to index .desktop files for easy launching. The combination of gnome-do 0.6.10, gnome-desktop-sharp 2.20 and gnome-desktop 2.24 prevents this from working and makes the indexing process in gnome-do throw exceptions. 

Specificially the gnome-do exception thrown is simply a line refering to a missing file, /usr/lib/libgnome-desktop-2.so.2

gnome-do does the indexing via gnome-desktop-sharp.

gnome-desktop 2.24 provides /usr/lib/libgnome-desktop-2.so.7, linking /usr/lib/libgnome-desktop-2.so.7 to /usr/lib/libgnome-desktop-2.so.2 makes gnome-do application indexing work. 

Version-Release number of selected component (if applicable):
2.20.1

How reproducible:
Every Time

Steps to Reproduce:
1. Have a working rawhide system
2. Install gnome-do, built with debugging patch: http://sindrepb.fedorapeople.org/APPItem-Debugging.patch
3. Run gnome-do, watch output
  
Actual results:
No indexing of applications, output indicates missing file /usr/lib/libgnome-desktop-2

Comment 1 Xavier Lamien 2008-10-12 00:25:50 UTC
hm..let me install and check this gnome-do issues

Comment 2 Xavier Lamien 2008-10-23 00:13:50 UTC
the current gnome-do release is failing on missing add-in on my rawhide :

----------
Add-in could not be loaded: The required addin 'Do.Core,1.0' is not installed. 
-----------

i'll need to fix above in order to check this fix out.

Comment 3 pascal kolijn 2008-10-24 10:06:57 UTC
patching gnome-desktop-sharp 

fix in gnomedesktop-sharp.dll.config.in

(my patch/diff skills are non-existent ;o) )

 <dllmap dll="gnome-desktop-2" target="libgnome-desktop-2@LIB_PREFIX@.7@LIB_SUFFIX@"/>

instead of 

 <dllmap dll="gnome-desktop-2" target="libgnome-desktop-2@LIB_PREFIX@.2@LIB_SUFFIX@"/>

and rebuuilding the rpm fixes the problem

Comment 4 Tom "spot" Callaway 2008-10-27 20:33:56 UTC
Gnome-desktop-sharp was updated to 2.24.0 in rawhide, which fixed this.


Note You need to log in before you can comment on or make changes to this bug.